> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/cmp/mobile-sdk/android/logging.md).

# Logging

The Didomi SDK on Android will log various informational and error messages.\
We use the [standard android.util.Log mechanism](https://developer.android.com/reference/android/util/Log) to log messages.

## Format

Messages logged by the SDK use the tag `Didomi` to indicate their origin.

Example:

![](/files/-M9VJm8i0PRF6c8jEtij)

## Levels

We use the [standard log levels supported by android.util.Log](https://developer.android.com/reference/android/util/Log#constants_1): `DEBUG`, `ERROR`, `INFO`, `VERBOSE`, and `WARN`.

You can decide what level of messages should be logged by the SDK by calling the `setLogLevel` function before `initialize`

{% tabs %}
{% tab title="Java" %}

```java
Didomi.getInstance().setLogLevel(android.util.Log.INFO);
Didomi.getInstance().initialize(...);
```

{% endtab %}

{% tab title="Kotlin" %}

```
Didomi.getInstance().setLogLevel(android.util.Log.INFO)
Didomi.getInstance().initialize(...)
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Java" %}

```java
Didomi.getInstance().setLogLevel(android.util.Log.INFO);
Didomi.getInstance().initialize(...);
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
Didomi.getInstance().setLogLevel(android.util.Log.INFO)
Didomi.getInstance().initialize(...)
```

{% endtab %}
{% endtabs %}

{% hint style="danger" %}
Make sure that the call to `setLogLevel` is done before the call to `initialize` or some messages will be logged at the wrong level.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.didomi.io/cmp/mobile-sdk/android/logging.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
